<?xml version="1.0" encoding="UTF-8" ?>
<project
	xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<artifactId>proactive-fraud-detection-kclient</artifactId>
	<groupId>com.example</groupId>
	<version>1.0-SNAPSHOT</version>
	<properties>
		<ba.version>7.6.0.redhat-00004</ba.version>
		<version.org.kie>7.30.0.Final-redhat-00003</version.org.kie>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.redhat.ba</groupId>
				<artifactId>ba-platform-bom</artifactId>
				<version>${ba.version}</version>
				<scope>import</scope>
				<type>pom</type>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<!-- kie server client api -->
		<dependency>
			<groupId>org.kie.server</groupId>
			<artifactId>kie-server-client</artifactId>
		</dependency>
		<!-- DMN test-->
		<dependency>
			<groupId>org.kie</groupId>
			<artifactId>kie-dmn-core</artifactId>
			<type>test-jar</type>
			<scope>compile</scope>
		</dependency>
		<!-- Logging -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.7.25.redhat-00001</version>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>1.2.3.redhat-00001</version>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>com.demo</groupId>
			<artifactId>proactive-fraud-detection-case</artifactId>
			<version>1.0.0-SNAPSHOT</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.5.1</version>
				<configuration>
					<source>${maven.compiler.source}</source>
					<target>${maven.compiler.target}</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.2.1</version>
				<executions>
					<execution>
						<goals>
							<goal>java</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<mainClass>client.Main</mainClass>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<profiles>
		<profile>
			<id>local</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<pluginRepositories>
				<pluginRepository>
					<id>redhat-ga-repository</id>
					<url>https://maven.repository.redhat.com/ga</url>
					<releases />
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</pluginRepository>
				<pluginRepository>
					<id>redhat-ea-repository</id>
					<url>https://maven.repository.redhat.com/earlyaccess/all</url>
					<releases />
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</pluginRepository>
			</pluginRepositories>
			<repositories>
				<repository>
					<id>redhat-ga-repository</id>
					<url>https://maven.repository.redhat.com/ga</url>
					<releases />
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</repository>
				<repository>
					<id>redhat-ea-repository</id>
					<url>https://maven.repository.redhat.com/earlyaccess/all</url>
					<releases />
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</repository>
			</repositories>
		</profile>
		<profile>
			<id>oncluster</id>
			<activation>
				<property>
					<name>env.KUBERNETES_SERVICE_HOST</name>
				</property>
			</activation>
			<pluginRepositories>
				<pluginRepository>
					<id>bucketrepo</id>
					<url>http://mavenrepo.codeready-workspaces.svc.cluster.local:8080/bucketrepo/</url>
					<releases />
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</pluginRepository>
			</pluginRepositories>
			<repositories>
				<repository>
					<id>bucketrepo</id>
					<url>http://mavenrepo.codeready-workspaces.svc.cluster.local:8080/bucketrepo/</url>
					<releases />
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</repository>
			</repositories>
		</profile>
	</profiles>
</project>